Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::RocketEBookParser Class Reference

`#include <RocketEBookParser.h>`

## Public Member Functions
| RocketEBookParser (const RVNGInputStreamPtr_t &input, librevenge::RVNGTextInterface *document=0)
void | parse ()

## Private Member Functions
| RocketEBookParser (const RocketEBookParser &other)
RocketEBookParser & | operator= (const RocketEBookParser &other)

## Private Attributes
const RVNGInputStreamPtr_t | m_input
librevenge::RVNGTextInterface * | m_document
RocketEBookHeader | m_header

## Constructor & Destructor Documentation

## ◆ RocketEBookParser() [1/2]

libebook::RocketEBookParser::RocketEBookParser | ( | const RocketEBookParser & | other | ) |
| private

## ◆ RocketEBookParser() [2/2]

libebook::RocketEBookParser::RocketEBookParser | ( | const RVNGInputStreamPtr_t & | input,
|  | librevenge::RVNGTextInterface * | document = 0 )
| explicit

## Member Function Documentation

## ◆ operator=()

RocketEBookParser & libebook::RocketEBookParser::operator= | ( | const RocketEBookParser & | other | ) |
| private

## ◆ parse()

void libebook::RocketEBookParser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* libebook::RocketEBookParser::m_document
| private

Referenced by parse().

## ◆ m_header

RocketEBookHeader libebook::RocketEBookParser::m_header
| private

Referenced by parse().

## ◆ m_input

const RVNGInputStreamPtr_t libebook::RocketEBookParser::m_input
| private

Referenced by parse(), and RocketEBookParser().

The documentation for this class was generated from the following files:

- RocketEBookParser.h
- RocketEBookParser.cpp